import { registerAs } from '@nestjs/config';

export default registerAs('app', () => ({
  port: parseInt(process.env.PORT ?? '4000', 10),
  jwtSecret: process.env.JWT_SECRET ?? 'dev-secret',
  jwtExpiresIn: process.env.JWT_EXPIRES_IN ?? '7d',
  frontendUrl: process.env.PORTAL_URL ?? 'http://localhost:3000',
  portalUrl: process.env.BACK_OFFICE_URL ?? 'http://localhost:3001',
}));
